<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::simulator::MeshSceneNode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1simulator_1_1_mesh_scene_node.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1simulator_1_1_mesh_scene_node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::simulator::MeshSceneNode Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::simulator::MeshSceneNode:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1simulator_1_1_mesh_scene_node.png" usemap="#flair::simulator::MeshSceneNode_map" alt=""/>
  <map id="flair::simulator::MeshSceneNode_map" name="flair::simulator::MeshSceneNode_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a44ec4eda0d2534eb350d8c5637403e82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44ec4eda0d2534eb350d8c5637403e82"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MeshSceneNode</b> (<a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a> *parent, irr::scene::IMesh *mesh, const irr::core::vector3df &amp;position=irr::core::vector3df(0, 0, 0), const irr::core::vector3df &amp;rotation=irr::core::vector3df(0, 0, 0), irr::video::ITexture *texture=NULL, irr::s32 id=-1)</td></tr>
<tr class="separator:a44ec4eda0d2534eb350d8c5637403e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2844e6edb863df40e1d284f3df8005de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2844e6edb863df40e1d284f3df8005de"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MeshSceneNode</b> (irr::scene::ISceneNode *parent, irr::scene::IMesh *mesh, const irr::core::vector3df &amp;position=irr::core::vector3df(0, 0, 0), const irr::core::vector3df &amp;rotation=irr::core::vector3df(0, 0, 0), irr::video::ITexture *texture=NULL, irr::s32 id=-1)</td></tr>
<tr class="separator:a2844e6edb863df40e1d284f3df8005de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8257b2c3e75289fa3f930739305830a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8257b2c3e75289fa3f930739305830a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnRegisterSceneNode</b> (void)</td></tr>
<tr class="separator:aa8257b2c3e75289fa3f930739305830a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30c2dbf42bf120534495b31d78111a74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30c2dbf42bf120534495b31d78111a74"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>render</b> (void)</td></tr>
<tr class="separator:a30c2dbf42bf120534495b31d78111a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aea77c7b5341185ac597ab624410ed3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2aea77c7b5341185ac597ab624410ed3"></a>
virtual const irr::core::aabbox3d&lt; irr::f32 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getBoundingBox</b> () const </td></tr>
<tr class="separator:a2aea77c7b5341185ac597ab624410ed3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b49878a1b175d031b0d51c4660774b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b49878a1b175d031b0d51c4660774b4"></a>
virtual irr::u32&#160;</td><td class="memItemRight" valign="bottom"><b>getMaterialCount</b> (void) const </td></tr>
<tr class="separator:a9b49878a1b175d031b0d51c4660774b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62ab82d70eca62a8d0781238d055f276"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62ab82d70eca62a8d0781238d055f276"></a>
virtual irr::video::SMaterial &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getMaterial</b> (irr::u32 i)</td></tr>
<tr class="separator:a62ab82d70eca62a8d0781238d055f276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae16520a1ac072dedd8715030792aae28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae16520a1ac072dedd8715030792aae28"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>setMesh</b> (irr::scene::IMesh *ptr)</td></tr>
<tr class="separator:ae16520a1ac072dedd8715030792aae28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe0f9668993db4f8ce3001aa2288ee4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe0f9668993db4f8ce3001aa2288ee4c"></a>
virtual irr::scene::IMesh *&#160;</td><td class="memItemRight" valign="bottom"><b>getMesh</b> (void)</td></tr>
<tr class="separator:afe0f9668993db4f8ce3001aa2288ee4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a332ddf4ba5a3cff5d49471ee8e3c8e37"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a332ddf4ba5a3cff5d49471ee8e3c8e37"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>setReadOnlyMaterials</b> (bool readonly)</td></tr>
<tr class="separator:a332ddf4ba5a3cff5d49471ee8e3c8e37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d6623801af49264eb88e6c90b054121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d6623801af49264eb88e6c90b054121"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>isReadOnlyMaterials</b> (void) const </td></tr>
<tr class="separator:a2d6623801af49264eb88e6c90b054121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e190e1df456fd57679b21909d63a699"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e190e1df456fd57679b21909d63a699"></a>
virtual irr::scene::IShadowVolumeSceneNode *&#160;</td><td class="memItemRight" valign="bottom"><b>addShadowVolumeSceneNode</b> (const irr::scene::IMesh *shadowMesh=0, irr::s32 id=-1, bool zfailmethod=true, irr::f32 infinity=1000.0f)</td></tr>
<tr class="separator:a0e190e1df456fd57679b21909d63a699"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1simulator.html">simulator</a></li><li class="navelem"><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html">MeshSceneNode</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
